import { Functional } from '../../../../Class/Functional';
import { Done } from '../../../../Class/Functional/Done';
import { System } from '../../../../system';
export interface I<T> {
    a: number;
}
export interface O<T> {
    '⌊a⌋': number;
}
export default class Floor<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ a }: I<T>, done: Done<O<T>>): void;
}
